package marketnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически опрашивает рынок, покупает золотишко.
*/

// MarketNet -- обзор рынка
type MarketNet struct {
	*sectionnet.SectionNet
}

// NewMarketNet -- возвращает новый *MarketNet
func NewMarketNet(server types.IServer, bot types.IServBot) (*MarketNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewMarketNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewMarketNet(): IServBot == nil")
		}
	}

	sf := &MarketNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bot.Angar().Base().Market(), "http://wartank.ru/market"),
	}

	return sf, nil
}
